Bug 9748 - Remove unneeded fstat system call from hot read path.
Remove unneeded fstat system call from hot read path.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 18:06 UTC by Jeremy Allison
Modified: 2013-04-08 07:38 UTC (History)
0 users

See Also:


Attachments
git-am fix for 4.0.next that went into master. (2.33 KB, patch)
2013-03-28 18:16 UTC, Jeremy Allison
no flags Details
git-am fix for 3.6.next. (2.33 KB, patch)
2013-03-28 18:35 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-03-28 18:06:10 UTC
Request on the samba-technical mailing list uncovered an unneeded fstat call in a hot code path (normal read).

Patch to remove to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-03-28 18:16:34 UTC
Created attachment 8697 [details]
git-am fix for 4.0.next that went into master.
Comment 2 Jeremy Allison 2013-03-28 18:35:21 UTC
Created attachment 8698 [details]
git-am fix for 3.6.next.

Same as fix that went into master.
Jeremy.
Comment 3 Jeremy Allison 2013-03-28 20:03:28 UTC
As this already has 2 engineer review (jra and vl) re-assigning to Karolin for inclusion in 4.0.next and 3.6.next.

Jeremy.
Comment 4 Karolin Seeger 2013-04-07 19:54:36 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-04-08 07:38:59 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!